
Ruby - Bug #20765

Unexpected node type in pattern matching expression: PM_IMPLICIT_REST_NODE evaluating `a=>*,`

09/28/2024 06:02 AM - tompng (tomoya ishida)

Status: Closed   

Priority: Normal   

Assignee: kddnewton (Kevin Newton)   

Target version:    

ruby -v: ruby 3.4.0dev (2024-09-27T17:45:22Z

master 027ef60500) +PRISM

[x86_64-linux]

Backport: 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3:

UNKNOWN

Description

# ruby --parser=prism -e "a=>*,"

-e: [BUG] Unexpected node type in pattern matching expression: PM_IMPLICIT_REST_NODE

# ruby --parser=parse.y -e "a=>*,"

-e:1: syntax error, unexpected end-of-input

History

#1 - 09/30/2024 05:33 AM - mame (Yusuke Endoh)

- Assignee set to kddnewton (Kevin Newton)

#2 - 09/30/2024 02:32 PM - kddnewton (Kevin Newton)

Thank you — I have opened https://github.com/ruby/prism/pull/3096 to fix this.

#3 - 09/30/2024 02:49 PM - kddnewton (Kevin Newton)

- Status changed from Open to Closed
